Inhalte

# Funktion EqualUnoObjects

Gibt True zurück, wenn die beiden angegebenen Basic-Variablen dieselbe Uno-Objektinstanz darstellen.

### Syntax:

EqualUnoObjects(oObj1, oObj2)

### Parameter:

oObj1, oObj2: die zu testenden Variablen.

### Rückgabewert:

Bool

### Beispiel:

Das folgende Beispiel gibt True zurück, da sowohl oDoc als auch ThisComponent Verweise auf dasselbe Objekt sind:

        Dim oDoc as Object
        oDoc = ThisComponent
        MsgBox EqualUnoObjects(oDoc, ThisComponent) ' True

Das folgende Beispiel gibt False zurück, da die Zuweisung eine Kopie des ursprünglichen Objekts erstellt. Daher verweisen Struct1 und Struct2 auf unterschiedliche Objektinstanzen.

        Dim Struct1 as new com.sun.star.beans.PropertyValue
        Dim Struct2 as Variant
        Struct1.Name = "John"
        Struct2 = Struct1
        MsgBox EqualUnoObjects(Struct1, Struct2) ' False
        Struct2.Name = "Judy"
        MsgBox Struct1.Name ' John
        MsgBox Struct2.Name ' Judy

Verwandte Themen

Funktion IsObject